<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

$nick = htmlspecialchars(trim($VARS["nick"]));

if ($database->has("players", ["AND" => ["nickname" => $nick, "accountid[!]" => getRequestUser()->getUID()]])) {
    sendJsonResp($Strings->get("Chosen nickname already in use, try another.", false), "ERROR");
}

$database->update("players", ["nickname" => $nick], ["accountid" => getRequestUser()->getUID()]);

exitWithJson(["status" => "OK", "name" => $nick]);