<?php

require_once __DIR__ . "/../settings.php";

$format = end(explode(".", $_SERVER['REQUEST_URI']));

header("Access-Control-Allow-Origin: *");

switch ($format) {
    case "json":
        header("Content-Type: application/json");
        echo json_encode(["min_version" => $SETTINGS["minimum_client_version"]]);
        break;
    case "txt":
    default:
        header("Content-Type: text/plain");
        echo $SETTINGS["minimum_client_version"];
        break;

}